
Foreman - Feature #631

Allow template rendering without a specific host

01/28/2011 03:44 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Unattended installations   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a user, I should be able to render a template with some default set of options.  I shouldn't have to create a host just to render a

template in a roundabout way.

Ohad brought up the idea of a hostgroup having default attributes for host creation, we could use that to render the template.

Related issues:

Precedes Foreman - Feature #632: Support building PXE Menus on smart proxies Closed 01/29/2011 01/29/2011

Associated revisions

Revision e5d3f34e - 02/01/2011 04:24 PM - Ohad Levy

Fixes #631 - Adds the ability to set default values for hostgroups, which

are automatically applied when creating a new host (and selecting that

host group), and allows for templates to be rendered with those default

hostgroup values

History

#1 - 01/28/2011 03:55 PM - Justin Sherrill

Arg, this should be a feature as well, not a bug, but i am unable to change it.

#2 - 01/29/2011 12:59 AM - Ohad Levy

- Tracker changed from Bug to Feature

#3 - 02/01/2011 05:40 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset e5d3f34e303fd560330483351f360ce8829e7cb8.

#4 - 02/24/2011 10:39 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- Target version set to 0.2
